"cell size" option in TIN interpolation tool is missing

2018-08-26 10:57 PM - Mario Reyes

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27526

Description

In QGIS 2.18 there is an option to set the cell size for a TIN interpolation. In QGIS 3 the option doesn't exist.

Related issues:

Related to QGIS Application - Bug report # 20114: [processing] no cell size o... Closed 2018-10-15

Duplicates QGIS Application - Bug report # 18556: [Interpolation Algorithm] M... Closed 2018-03-27

History

#1 - 2018-08-29 05:11 PM - Giovanni Manghi

- Priority changed from Normal to High

- Tracker changed from Feature request to Bug report

- Subject changed from Cell size in TIN interpolation tool to "cell size" option in TIN interpolation tool is missing

- Regression? set to Yes

- Affected QGIS version set to 3.3(master)

- Crashes QGIS or corrupts data set to No

I agree, is much more common to need to choose the output resolution as cell size rather than dimensions.

Maybe we are missing something obvious? if not I think is pretty important to add this option (maybe splitting the tool in two)?

#2 - 2018-08-29 07:26 PM - Mario Reyes

Giovanni Manghi wrote:

I agree, is much more common to need to choose the output resolution as cell size rather than dimensions.

Maybe we are missing something obvious? if not I think is pretty important to add this option (maybe splitting the tool in two)?

Thanks Giovanni. Splitting the tool in two could be an option, but I think if the option for the cell size is added like in the 2.18 version of the tool it would be

ok.

#3 - 2018-08-29 08:51 PM - Giovanni Manghi

Thanks Giovanni. Splitting the tool in two could be an option, but I think if the option for the cell size is added like in the 2.18 version of the tool it

would be ok.

are you referring to the core c++ plugin? I'm not sure 2.18 had already a Processing equivalent and now I can't check in that version.
#4 - 2018-08-30 01:19 AM - Mario Reyes

Giovanni Manghi wrote:

Thanks Giovanni. Splitting the tool in two could be an option, but I think if the option for the cell size is added like in the 2.18 version of the tool it

would be ok.

are you referring to the core c++ plugin? I'm not sure 2.18 had already a Processing equivalent and now I can't check in that version.

Yes. You  are right, in QGIS 2.18 it was a plugin. It was moved to core in QGIS 3.

#5 - 2018-09-22 08:10 AM - salvatore fiandaca

I confirm defining the cell size is much simpler and immediate.

#6 - 2018-09-22 11:15 AM - matteo ghetta

Totally agree. But actually the fix could/should be simple. We can think to reuse the same approach of the Kernel Density (old plugin ported in Processing

too) where the user can choose the size defining the rows and columns OR cell pixel cell size (X and Y).

#7 - 2018-09-27 01:33 PM - Samuel Oester

Giovanni Manghi wrote:

I agree, is much more common to need to choose the output resolution as cell size rather than dimensions.

Maybe we are missing something obvious? if not I think is pretty important to add this option (maybe splitting the tool in two)?

In Processing Modeler there is an option to use expressions in the 'Number of columns' and 'Number of rows' fields.

eg. '(@Concave_hull_OUTPUT_maxx - @Concave_hull_OUTPUT_minx) / 0.1'

It would be very usefull to add/expose this functinoality in the toolbox as well.

#8 - 2018-10-15 10:20 PM - Giovanni Manghi

- Related to Bug report #20114: [processing] no cell size option for IDW interpolation alg added

#9 - 2018-12-24 09:50 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed

Seems dulicates #18556

#10 - 2018-12-24 09:50 AM - Alexander Bruy

- Duplicates Bug report #18556: [Interpolation Algorithm] Missing the option X and Y cellsize added
